#ifndef __IN303_COMMON_H__
#define __IN303_COMMON_H__

#define TRUE 1
#define FALSE 0
#define NUM_CHARS 256

/**
 * Écrire sur la sortie standard à la manière de printf,
 * seulement si le mode verbeux est actif
 */
void printVerbose(const char* format, ...);

/**
 * Active ou désactive l'affichage des messages verbeux
 * (mode verbeux). Si activé, `printVerbose` écrit sur
 * la sortie standard. Sinon, `printVerbose` n'a pas d'effet
 */
void setVerbose(int);

/**
 * Renvoie l'état du mode verbeux
 */
int isVerbose();

#endif
